%GENERATE_SPARSE_FILTER(LENGTH, SPARSE_LEVEL)
%Generates a sparse random FIR filter of length LENGTH. The sparsity level
%is specified by SPARSE_LEVEL. The coefficients are drawn from Gaussian
%distribution with mean zero and standard deviation equal to 1.


function [h] = generate_sparse_RIR(length, sparse_level)

h = zeros([1 length]);
p = randperm(length);

%%
%NEEDS CHANGE IN THE CODE FOR NON-NEGATIVE COEFFICIENT GENERATION
%%h(p(1:sparse_level)) = abs(randn([1 sparse_level]));
coeffs = (randn([1 sparse_level]));
[sort_coeffs, indices] = sort(abs(coeffs), 'descend');
sgn = (-1+2.*rand(1, sparse_level));
sgn = clip(sgn);
coeffs = sort_coeffs.*sgn;

indices = sort(p(1:sparse_level));
h(indices) = (coeffs);


function [sgn] = clip(sgn)

for i = 1:length(sgn)
    if(sgn(i)<0)
        sgn(i) = -1;
    else
        sgn(i) = 1;
    end
end