function sparseRecovery(n, m, k)

TOTAL_TRIALS = 5;
sigma = 0;

logfileName = sprintf('../logs/log_n%d_m%d_k%d.txt', n, m, k);
logfile = fopen(logfileName, 'w');

fprintf(logfile, 'Executing k = %d, m = %d\n', k, m);

error = zeros(TOTAL_TRIALS, 1);

for trial = 1:TOTAL_TRIALS
    fprintf(logfile, 'Trial = %d\n', trial);
    
    
    A = randn(m, n);
    
    for ind = 1:n
        A(:, ind) = A(:, ind)./norm(A(:, ind));
    end
    
    fname = sprintf('../data/x_n%d_k%d_trial%d.mat', n, k, trial);
    load(fname);
    
    if(~isdeployed)
       figure, stem(x);
    end
    
    % generating observation vector
    
    b = A*x;% + randn(m, 1);
    
    % BPDN recovery using spgl1
    
    options.verbosity = 0;
    [xhat] = spgl1(A, b, [], sigma, [], options);
    
    err(trial) = norm(x-xhat, 2)/norm(x, 2);
    
end

outFile = sprintf('../results/error_n%d_m%d_k%d.mat', n, m, k);
save(outFile, 'err');

fprintf(logfile, 'Finished');

fclose(logfile);