function start_script(filename)

% START_SCRIPT Start script for compiled Matlab code
% Created by Prasad Sudhakar, ICTEAM/ELEN, UC Louvain 


% Deletes the sh start script produced by mcc -m filename and creates a new
% sh start script for use on the SGE

% Deleting start script produced by mcc
system(['rm run_' filename '.sh']);


MCRROOT='/usr/local/matlab_R2010A'; % MODIFY HERE TO CHANGE THE MATLAB VERSION. SHOULD CORRESPOND TO THE VERSION
                                    % USED FOR COMPILING THE CODE

MCRJRE=[MCRROOT '/sys/java/jre/glnxa64/jre/lib/amd64'];

LD_LIBRARY_PATH=[pwd ':' MCRROOT '/runtime/glnxa64:' MCRROOT '/bin/glnxa64:' MCRROOT '/sys/os/glnxa64:'...
    MCRJRE ':' MCRJRE '/native_threads:' MCRJRE '/server'];
    
XAPPLRESDIR=[MCRROOT '/X11/app-defaults'];

% Writing script
fid=fopen([filename '.sh'],'w');
fprintf(fid,'%s\n\n','#!/bin/sh');
fprintf(fid, '%s %s\n\n', '#$ -N', filename);
fprintf(fid, '%s\n', '#$ -l h_rt=8:00:00'); % MODIFY HERE TO CHANGE REQUESTED RUN-TIME (HH:MM:SS)
fprintf(fid, '%s\n', '#$ -l h_rss=32G'); % MODIFY HERE TO CHANGE REQUESTED MEMORY
fprintf(fid, '%s\n\n', '#$ -l p=5520');
fprintf(fid, '%s\n', '#$ -M firstname.lastname@uclouvain.be'); % MODIFY HERE TO CHANGE YOUR EMAIL ID
fprintf(fid, '%s\n\n', '#$ -m bes');

% SGE: ouput in the current working dir
fprintf(fid, '%s\n\n', '#$ -cwd');
fprintf(fid,'%s\n',['export LD_LIBRARY_PATH=' LD_LIBRARY_PATH]);
fprintf(fid,'%s\n',['export XAPPLRESDIR=' XAPPLRESDIR]);
fprintf(fid, '%s\n\n', 'export PATH=.:$PATH');

fprintf(fid,'%s\n',[filename ' $SGE_TASK_ID']);

fprintf(fid,'%s','exit');
fclose(fid);

% Giving execution rights
system(['chmod u+x ' filename '.sh']);

return;
